from flask import render_template, url_for, flash, redirect
from blogapp import app
from blogapp.forms import RegistrationForm, LoginForm
from blogapp.models import User, Post


navbaritems = [

    {
        'name': 'Home',
        'url': '/home'
    },
    {
        'name': 'Login',
        'url': '/login'
    },
    {
        'name': 'Register',
        'url': '/register'
    }
]


@app.route("/")
@app.route("/home")
def home():
    return render_template('home.html', title='Home', navbaritems=navbaritems)


@app.route("/register", methods=['GET', 'POST'])
def register():
    form = RegistrationForm()
    if form.validate_on_submit():
        flash(f'Account created for {form.username.data}!')
        return redirect(url_for('home'))
    return render_template('register.html', title='Register', form=form, navbaritems=navbaritems)


@app.route("/login", methods=['GET', 'POST'])
def login():
    form = LoginForm()
    if form.validate_on_submit():
        if form.email.data == 'admin' and form.password.data == 'admin':
            flash('You have been log in !')
            return redirect(url_for('home'))
        else:
            flash('Login Unsuccessful')
    return render_template('login.html', title='Login', form=form, navbaritems=navbaritems)
